<script lang="ts">
	export let date: string | Date;

	if (typeof date === 'string') date = new Date(date);

  import { format } from "$lib/scripts/formatted_date";

  const formattedDate = format(date);
</script>

{formattedDate}
